from multiprocessing import Process
from traveltimes_prediction import TrainingManager, PredictionManager
from traveltimes_prediction.configs.general_settings import prediction_first_run_offset

import logging
import time, datetime

logging.basicConfig(level=logging.INFO, filename="logfile", filemode="a+",format="%(asctime)-15s %(levelname)-8s %(message)s")


def run_prediction(train_for):
    PM = PredictionManager()
    PM.launch_prediction(test_dtime=train_for)

def run_training(train_for):
    TM = TrainingManager()
    TM.training_loop(train_for=train_for)


if __name__ == '__main__':
    train_for = datetime.datetime(2017, 1, 15, 0, 0, 0)

    p = Process(target=run_training, args=(train_for, ))
    p.start()

    time.sleep(prediction_first_run_offset)

    run_prediction(train_for=train_for)