import numpy as np
import logging
logger = logging.getLogger('traveltimes')


def mean_absolute_percentage_error(y_true, y_pred):
    _mape = np.mean(np.abs((y_true - y_pred) / y_true)) * 100
    logger.debug("[Cost function] MAPE: %s.", _mape)
    return _mape


def root_mean_squared_logarithmic_error(y_true, y_pred):

    _pow = np.power(np.log(y_pred + 1) - np.log(y_true + 1), 2)
    return np.sqrt(np.mean(_pow))


def mean_absolute_error(y_true, y_pred):
    _abs = np.abs(y_true - y_pred)
    return np.mean(_abs)


def root_mean_squared_error(y_true, y_pred):
    _abs = np.power(y_true - y_pred, 2)
    return np.sqrt(np.mean(_abs))

###################################################################
###################################################################










