from ._criteria import mean_absolute_percentage_error, root_mean_squared_logarithmic_error, mean_absolute_error, root_mean_squared_error
from sklearn.metrics import make_scorer

mae = make_scorer(mean_absolute_error, greater_is_better=False)
mape = make_scorer(mean_absolute_percentage_error, greater_is_better=False)
rmse = make_scorer(root_mean_squared_error, greater_is_better=False)
rmsle = make_scorer(root_mean_squared_logarithmic_error, greater_is_better=False)

class CRITERIA:
    MAPE = 'mape'
    SQUARED_PENALTY = 'squared_penalty'
    MAE = 'mae'
    RMSE = 'rmse'
    RMSLE = 'rmsle'
